- Classes
- Namespaces
- Interfaces
- Traits
- Index

PHP-FFMpeg API
Class

# FFMpeg\Filters\Video\VideoFilters

class VideoFilters extends AudioFilters

## Methods

| __construct(Video $media) |
AudioFilters | resample(Integer $rate) Resamples the audio file. | from AudioFilters
VideoFilters | resize(Dimension $dimension, string $mode = ResizeFilter::RESIZEMODE_FIT, Boolean $forceStandards = true) Resizes a video to a given dimension. |
VideoFilters | framerate(FrameRate $framerate, type $gop) Changes the video framerate. |
VideoFilters | synchronize() Synchronizes audio and video. |
VideoFilters | clip(TimeCode $start, TimeCode $duration = null) Clips (cuts) the video. |
AudioFilters | audioResample(Integer $rate) Resamples the audio file. |
| rotate($angle) |
$this | watermark(string $imagePath, array $coordinates = array()) |

## Details

###
at line 23
`public __construct(Video $media)`

#### Parameters

Video | $media |

###
in AudioFilters at line 23
`public AudioFilters resample(Integer $rate)`

Resamples the audio file.

#### Parameters

Integer | $rate |

#### Return Value

AudioFilters |

###
at line 37
`public VideoFilters resize(Dimension $dimension, string $mode = ResizeFilter::RESIZEMODE_FIT, Boolean $forceStandards = true)`

Resizes a video to a given dimension.

#### Parameters

Dimension | $dimension |
string | $mode |
Boolean | $forceStandards |

#### Return Value

VideoFilters |

###
at line 52
`public VideoFilters framerate(FrameRate $framerate, type $gop)`

Changes the video framerate.

#### Parameters

FrameRate | $framerate |
type | $gop |

#### Return Value

VideoFilters |

###
at line 64
`public VideoFilters synchronize()`

Synchronizes audio and video.

#### Return Value

VideoFilters |

###
at line 79
`public VideoFilters clip(TimeCode $start, TimeCode $duration = null)`

Clips (cuts) the video.

#### Parameters

TimeCode | $start |
TimeCode | $duration |

#### Return Value

VideoFilters |

###
at line 93
`public AudioFilters audioResample(Integer $rate)`

Resamples the audio file.

#### Parameters

Integer | $rate |

#### Return Value

AudioFilters |

###
at line 100
`public rotate($angle)`

#### Parameters

| $angle |

###
at line 113
`public $this watermark(string $imagePath, array $coordinates = array())`

#### Parameters

string | $imagePath |
array | $coordinates |

#### Return Value

$this |